Subject: bug#21788: closed (Re: bug#21784: Alternate xz-5.0.4.tar.gz URL)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Nov 2015 20:07:02 +0000

Your bug report

#21784: Cannot build xz (download returns 403)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21784: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21784
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21784: Alternate xz-5.0.4.tar.gz URL
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: [email-masked], Efraim Flashner <[email-masked]>
Date: Sun, 01 Nov 2015 21:05:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> On Sun, Nov 01, 2015 at 11:20:59AM +0100, Ludovic Courtès wrote:
>> Cool.  Could you rename it to ‘xz-5.0.4.tar.gz’?
>
> Done!

I’m adding it as an alternate URL in (gnu packages compression).

Thank you!

Ludo’.

Subject: Cannot build xz (download returns 403)
From: Jan Synáček <[email-masked]>
To: [email-masked]
Date: Fri, 30 Oct 2015 07:33:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I cannot build xz with guix 0.8.3:

$ guix build xz
...
ERROR: download failed "http://tukaani.org/xz/xz-5.0.4.tar.gz" 403
"Forbidden"
...

I'm not sure if this can be solved by contacting the admin of that web, but
I guess that bumping xz version to at least 5.0.8 (I checked it was
possible to download this one) could fix this problem.

-- 
Jan Synáček